OdinAI

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables
Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
OdinAI::Timer Class Reference

## Public Types
typedef high_resolution_clock::time_point | TimePoint

## Public Member Functions
void | Reset ()
template<typename T >
T | GetElapsedTime ()
template<typename T >
T | GetElapsedMillisec ()
template<typename T >
T | GetMillisec ()
template<typename T >
T | GetTime ()

## Static Public Member Functions
static bool | Init ()
static void | GlobalReset ()
template<typename T >
static T | GetGlobalElapsedTime ()
template<typename T >
static T | GetGlobalElapsedMillisec ()
template<typename T >
static T | GetGlobalMillisec ()

## Public Attributes
TimePoint | m_startTime
TimePoint | m_elapsedTime

## Static Public Attributes
static TimePoint | m_gStartTime
static TimePoint | m_gElapsedTime

## Member Function Documentation

template<typename T >

T OdinAI::Timer::GetElapsedMillisec | ( |  | ) |
| inline

Time since last call to this or other functions, which also use elapsed time.

template<typename T >

T OdinAI::Timer::GetElapsedTime | ( |  | ) |
| inline

Elapsed time from last call to this function, or other functions which also use elapsed time.

Returns
  Real number in seconds.

template<typename T >

static T OdinAI::Timer::GetGlobalElapsedMillisec | ( |  | ) |
| inline static

Elapsed ticks from last call to this or other functions, which also use elapsed time..

template<typename T >

static T OdinAI::Timer::GetGlobalElapsedTime | ( |  | ) |
| inline static

Elapsed time from last call to this function, or other functions which also use elapsed time.

Returns
  Real number in seconds.

template<typename T >

static T OdinAI::Timer::GetGlobalMillisec | ( |  | ) |
| inline static

Time since last reset of global clock.

template<typename T >

T OdinAI::Timer::GetMillisec | ( |  | ) |
| inline

Time since last reset of this instance.

template<typename T >

T OdinAI::Timer::GetTime | ( |  | ) |
| inline

Time since last reset of this instance.

static void OdinAI::Timer::GlobalReset | ( |  | ) |
| inline static

Resets the global clock.

static bool OdinAI::Timer::Init | ( |  | ) |
| inline static

Initialize timer. NOTE: This function should only be called once!

void OdinAI::Timer::Reset | ( |  | ) |
| inline

Reset this instance of timer.

The documentation for this class was generated from the following file:

- E:/Development/Projects/OdinAI/Include/OdinAI/Timer.h